import { BehaviorSubject } from 'rxjs';
import { DictionaryService } from './dictionary.service';
import { TransactionSettings } from '../model/transaction-settings';
export declare class TransactionSettingsService {
    private _dictionary;
    readonly languageCodeToDictionary: Map<string, string>;
    settingsInitialized: BehaviorSubject<boolean>;
    set settings(value: any);
    get settings(): TransactionSettings;
    get dictionaryKey(): string;
    settingsLoaded: BehaviorSubject<boolean>;
    private _settings;
    constructor(_dictionary: DictionaryService);
    createSettingsFromObject(obj: any): Promise<void>;
    initialize(options: any): Promise<void>;
}
